ReferenceAPI

Remove access

Remove a login's role, or delete a private-key principal and its key.

DELETE https://api.nevia.cloud/v1/workspaces/{ws}/access/{principal}
curl -X DELETE "https://api.nevia.cloud/v1/workspaces/01d4cnjjq40hnnh0nwmkg35nv2h/access/01d4cnjmn4fbb1r5btxb5mypv62" \
  -H "Authorization: Bearer $TOKEN"
{
  "access": {
    "principal": {
      "id": "01d4cnjmn4fbb1r5btxb5mypv62",
      "auth": "email",
      "email": "string",
      "name": "string"
    },
    "role": "editor",
    "description": "string",
    "key": {
      "id": "01d4cnjq8r0tvwxyb3c4d5f6g7h",
      "principal": "01d4cnjmn4fbb1r5btxb5mypv62",
      "byok": true,
      "created_by": "01d4cnjmn4fbb1r5btxb5mypv62",
      "expires_at": "2026-09-10T12:34:56Z",
      "last_used_at": "2026-09-10T12:34:56Z",
      "created_at": "2026-09-10T12:34:56Z",
      "revoked_at": "2026-09-10T12:34:56Z"
    },
    "key_state": "active",
    "created_at": "2026-09-10T12:34:56Z"
  },
  "operations": [
    "01d4cnjm89yk0r3xtv80dy0x7by"
  ]
}

Authorization

bearerAuth
Authorization Bearer <token>

Send the token in the Authorization: Bearer <token> header. See Authenticate.

In: header

Path Parameters

ws* string

Workspace id: 27 lowercase letters and digits.

Match ^[A-Za-z0-9_-]{1,64}$
principal* string

Principal id: 27 lowercase letters and digits.

Match ^[A-Za-z0-9_-]{1,64}$

Header Parameters

Idempotency-Key? string

Optional retry key, kept 24 hours

Length 1 <= length <= 255

Behavior

A deleted private-key principal's access tokens are refused on their next request.

Response

application/json

The removed access, as it stood before deletion.